# pulp_2to3_migration_client

Pulp2to3MigrationClient - the Ruby gem for the Pulp 3 API

Fetch, Upload, Organize, and Distribute Software Packages

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 0.14.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen
For more information, please visit [https://pulpproject.org](https://pulpproject.org)

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build pulp_2to3_migration_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./pulp_2to3_migration_client-0.14.0.gem
```

(for development, run `gem install --dev ./pulp_2to3_migration_client-0.14.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'pulp_2to3_migration_client', '~> 0.14.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'pulp_2to3_migration_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'pulp_2to3_migration_client'

# Setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR_USERNAME'
  config.password = 'YOUR_PASSWORD'
end

api_instance = Pulp2to3MigrationClient::MigrationPlansApi.new
pulp2to3_migration_migration_plan = Pulp2to3MigrationClient::Pulp2to3MigrationMigrationPlan.new # Pulp2to3MigrationMigrationPlan | 

begin
  #Create a migration plan
  result = api_instance.create(pulp2to3_migration_migration_plan)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling MigrationPlansApi->create: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://pulp*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Pulp2to3MigrationClient::MigrationPlansApi* | [**create**](docs/MigrationPlansApi.md#create) | **POST** /pulp/api/v3/migration-plans/ | Create a migration plan
*Pulp2to3MigrationClient::MigrationPlansApi* | [**delete**](docs/MigrationPlansApi.md#delete) | **DELETE** {pulp_2to3_migration_migration_plan_href} | Delete a migration plan
*Pulp2to3MigrationClient::MigrationPlansApi* | [**list**](docs/MigrationPlansApi.md#list) | **GET** /pulp/api/v3/migration-plans/ | List migration plans
*Pulp2to3MigrationClient::MigrationPlansApi* | [**read**](docs/MigrationPlansApi.md#read) | **GET** {pulp_2to3_migration_migration_plan_href} | Inspect a migration plan
*Pulp2to3MigrationClient::MigrationPlansApi* | [**reset**](docs/MigrationPlansApi.md#reset) | **POST** {pulp_2to3_migration_migration_plan_href}reset/ | Reset Pulp 3 data for plugins specified in the migration plan
*Pulp2to3MigrationClient::MigrationPlansApi* | [**run**](docs/MigrationPlansApi.md#run) | **POST** {pulp_2to3_migration_migration_plan_href}run/ | Run migration plan
*Pulp2to3MigrationClient::Pulp2ContentApi* | [**list**](docs/Pulp2ContentApi.md#list) | **GET** /pulp/api/v3/pulp2content/ | List pulp2 contents
*Pulp2to3MigrationClient::Pulp2ContentApi* | [**read**](docs/Pulp2ContentApi.md#read) | **GET** {pulp_2to3_migration_pulp2_content_href} | Inspect a pulp2 content
*Pulp2to3MigrationClient::Pulp2RepositoriesApi* | [**list**](docs/Pulp2RepositoriesApi.md#list) | **GET** /pulp/api/v3/pulp2repositories/ | List pulp2 repositorys
*Pulp2to3MigrationClient::Pulp2RepositoriesApi* | [**read**](docs/Pulp2RepositoriesApi.md#read) | **GET** {pulp_2to3_migration_pulp2_repository_href} | Inspect a pulp2 repository


## Documentation for Models

 - [Pulp2to3MigrationClient::AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [Pulp2to3MigrationClient::MigrationPlanRun](docs/MigrationPlanRun.md)
 - [Pulp2to3MigrationClient::Paginatedpulp2to3MigrationMigrationPlanResponseList](docs/Paginatedpulp2to3MigrationMigrationPlanResponseList.md)
 - [Pulp2to3MigrationClient::Paginatedpulp2to3MigrationPulp2ContentResponseList](docs/Paginatedpulp2to3MigrationPulp2ContentResponseList.md)
 - [Pulp2to3MigrationClient::Paginatedpulp2to3MigrationPulp2RepositoryResponseList](docs/Paginatedpulp2to3MigrationPulp2RepositoryResponseList.md)
 - [Pulp2to3MigrationClient::Pulp2to3MigrationMigrationPlan](docs/Pulp2to3MigrationMigrationPlan.md)
 - [Pulp2to3MigrationClient::Pulp2to3MigrationMigrationPlanResponse](docs/Pulp2to3MigrationMigrationPlanResponse.md)
 - [Pulp2to3MigrationClient::Pulp2to3MigrationPulp2ContentResponse](docs/Pulp2to3MigrationPulp2ContentResponse.md)
 - [Pulp2to3MigrationClient::Pulp2to3MigrationPulp2RepositoryResponse](docs/Pulp2to3MigrationPulp2RepositoryResponse.md)


## Documentation for Authorization


### basicAuth

- **Type**: HTTP basic authentication

