# Pulp2to3MigrationClient::MigrationPlansApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](MigrationPlansApi.md#create) | **POST** /pulp/api/v3/migration-plans/ | Create a migration plan
[**delete**](MigrationPlansApi.md#delete) | **DELETE** {pulp_2to3_migration_migration_plan_href} | Delete a migration plan
[**list**](MigrationPlansApi.md#list) | **GET** /pulp/api/v3/migration-plans/ | List migration plans
[**read**](MigrationPlansApi.md#read) | **GET** {pulp_2to3_migration_migration_plan_href} | Inspect a migration plan
[**reset**](MigrationPlansApi.md#reset) | **POST** {pulp_2to3_migration_migration_plan_href}reset/ | Reset Pulp 3 data for plugins specified in the migration plan
[**run**](MigrationPlansApi.md#run) | **POST** {pulp_2to3_migration_migration_plan_href}run/ | Run migration plan



## create

> Pulp2to3MigrationMigrationPlanResponse create(pulp2to3_migration_migration_plan)

Create a migration plan

MigrationPlan ViewSet.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::MigrationPlansApi.new
pulp2to3_migration_migration_plan = Pulp2to3MigrationClient::Pulp2to3MigrationMigrationPlan.new # Pulp2to3MigrationMigrationPlan | 

begin
  #Create a migration plan
  result = api_instance.create(pulp2to3_migration_migration_plan)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling MigrationPlansApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp2to3_migration_migration_plan** | [**Pulp2to3MigrationMigrationPlan**](Pulp2to3MigrationMigrationPlan.md)|  | 

### Return type

[**Pulp2to3MigrationMigrationPlanResponse**](Pulp2to3MigrationMigrationPlanResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(pulp_2to3_migration_migration_plan_href)

Delete a migration plan

MigrationPlan ViewSet.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::MigrationPlansApi.new
pulp_2to3_migration_migration_plan_href = 'pulp_2to3_migration_migration_plan_href_example' # String | 

begin
  #Delete a migration plan
  api_instance.delete(pulp_2to3_migration_migration_plan_href)
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling MigrationPlansApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_2to3_migration_migration_plan_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> Paginatedpulp2to3MigrationMigrationPlanResponseList list(opts)

List migration plans

MigrationPlan ViewSet.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::MigrationPlansApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List migration plans
  result = api_instance.list(opts)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling MigrationPlansApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**Paginatedpulp2to3MigrationMigrationPlanResponseList**](Paginatedpulp2to3MigrationMigrationPlanResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> Pulp2to3MigrationMigrationPlanResponse read(pulp_2to3_migration_migration_plan_href, opts)

Inspect a migration plan

MigrationPlan ViewSet.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::MigrationPlansApi.new
pulp_2to3_migration_migration_plan_href = 'pulp_2to3_migration_migration_plan_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a migration plan
  result = api_instance.read(pulp_2to3_migration_migration_plan_href, opts)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling MigrationPlansApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_2to3_migration_migration_plan_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**Pulp2to3MigrationMigrationPlanResponse**](Pulp2to3MigrationMigrationPlanResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## reset

> AsyncOperationResponse reset(pulp_2to3_migration_migration_plan_href)

Reset Pulp 3 data for plugins specified in the migration plan

Trigger an asynchronous task to remove data from Pulp 3 related to the plugins specified in the migration plan.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::MigrationPlansApi.new
pulp_2to3_migration_migration_plan_href = 'pulp_2to3_migration_migration_plan_href_example' # String | 

begin
  #Reset Pulp 3 data for plugins specified in the migration plan
  result = api_instance.reset(pulp_2to3_migration_migration_plan_href)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling MigrationPlansApi->reset: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_2to3_migration_migration_plan_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## run

> AsyncOperationResponse run(pulp_2to3_migration_migration_plan_href, migration_plan_run)

Run migration plan

Trigger an asynchronous task to run a migration from Pulp 2.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::MigrationPlansApi.new
pulp_2to3_migration_migration_plan_href = 'pulp_2to3_migration_migration_plan_href_example' # String | 
migration_plan_run = Pulp2to3MigrationClient::MigrationPlanRun.new # MigrationPlanRun | 

begin
  #Run migration plan
  result = api_instance.run(pulp_2to3_migration_migration_plan_href, migration_plan_run)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling MigrationPlansApi->run: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_2to3_migration_migration_plan_href** | **String**|  | 
 **migration_plan_run** | [**MigrationPlanRun**](MigrationPlanRun.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

