# Pulp2to3MigrationClient::Pulp2ContentApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**list**](Pulp2ContentApi.md#list) | **GET** /pulp/api/v3/pulp2content/ | List pulp2 contents
[**read**](Pulp2ContentApi.md#read) | **GET** {pulp_2to3_migration_pulp2_content_href} | Inspect a pulp2 content



## list

> Paginatedpulp2to3MigrationPulp2ContentResponseList list(opts)

List pulp2 contents

ViewSet for Pulp2Content model.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::Pulp2ContentApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp2_content_type_id: 'pulp2_content_type_id_example', # String | 
  pulp2_content_type_id__in: ['pulp2_content_type_id__in_example'], # Array<String> | Filter results where pulp2_content_type_id is in a comma-separated list of values
  pulp2_id: 'pulp2_id_example', # String | 
  pulp2_id__in: ['pulp2_id__in_example'], # Array<String> | Filter results where pulp2_id is in a comma-separated list of values
  pulp2_last_updated: DateTime.parse('2013-10-20T19:20:30+01:00'), # DateTime | ISO 8601 formatted dates are supported
  pulp2_last_updated__gt: 56, # Integer | Filter results where pulp2_last_updated is greater than value
  pulp2_last_updated__gte: 56, # Integer | Filter results where pulp2_last_updated is greater than or equal to value
  pulp2_last_updated__lt: 56, # Integer | Filter results where pulp2_last_updated is less than value
  pulp2_last_updated__lte: 56, # Integer | Filter results where pulp2_last_updated is less than or equal to value
  pulp2_last_updated__range: [56], # Array<Integer> | Filter results where pulp2_last_updated is between two comma separated values
  pulp3_content: 'pulp3_content_example', # String | Foreign Key referenced by HREF
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List pulp2 contents
  result = api_instance.list(opts)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling Pulp2ContentApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp2_content_type_id** | **String**|  | [optional] 
 **pulp2_content_type_id__in** | [**Array&lt;String&gt;**](String.md)| Filter results where pulp2_content_type_id is in a comma-separated list of values | [optional] 
 **pulp2_id** | **String**|  | [optional] 
 **pulp2_id__in** | [**Array&lt;String&gt;**](String.md)| Filter results where pulp2_id is in a comma-separated list of values | [optional] 
 **pulp2_last_updated** | **DateTime**| ISO 8601 formatted dates are supported | [optional] 
 **pulp2_last_updated__gt** | **Integer**| Filter results where pulp2_last_updated is greater than value | [optional] 
 **pulp2_last_updated__gte** | **Integer**| Filter results where pulp2_last_updated is greater than or equal to value | [optional] 
 **pulp2_last_updated__lt** | **Integer**| Filter results where pulp2_last_updated is less than value | [optional] 
 **pulp2_last_updated__lte** | **Integer**| Filter results where pulp2_last_updated is less than or equal to value | [optional] 
 **pulp2_last_updated__range** | [**Array&lt;Integer&gt;**](Integer.md)| Filter results where pulp2_last_updated is between two comma separated values | [optional] 
 **pulp3_content** | [**String**](.md)| Foreign Key referenced by HREF | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**Paginatedpulp2to3MigrationPulp2ContentResponseList**](Paginatedpulp2to3MigrationPulp2ContentResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> Pulp2to3MigrationPulp2ContentResponse read(pulp_2to3_migration_pulp2_content_href, opts)

Inspect a pulp2 content

ViewSet for Pulp2Content model.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::Pulp2ContentApi.new
pulp_2to3_migration_pulp2_content_href = 'pulp_2to3_migration_pulp2_content_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a pulp2 content
  result = api_instance.read(pulp_2to3_migration_pulp2_content_href, opts)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling Pulp2ContentApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_2to3_migration_pulp2_content_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**Pulp2to3MigrationPulp2ContentResponse**](Pulp2to3MigrationPulp2ContentResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

