# Pulp2to3MigrationClient::Pulp2RepositoriesApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**list**](Pulp2RepositoriesApi.md#list) | **GET** /pulp/api/v3/pulp2repositories/ | List pulp2 repositorys
[**read**](Pulp2RepositoriesApi.md#read) | **GET** {pulp_2to3_migration_pulp2_repository_href} | Inspect a pulp2 repository



## list

> Paginatedpulp2to3MigrationPulp2RepositoryResponseList list(opts)

List pulp2 repositorys

ViewSet for Pulp2Repositories model.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::Pulp2RepositoriesApi.new
opts = {
  is_migrated: true, # Boolean | 
  limit: 56, # Integer | Number of results to return per page.
  not_in_plan: true, # Boolean | 
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp2_repo_id: 'pulp2_repo_id_example', # String | 
  pulp2_repo_id__in: ['pulp2_repo_id__in_example'], # Array<String> | Filter results where pulp2_repo_id is in a comma-separated list of values
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List pulp2 repositorys
  result = api_instance.list(opts)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling Pulp2RepositoriesApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **is_migrated** | **Boolean**|  | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **not_in_plan** | **Boolean**|  | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp2_repo_id** | **String**|  | [optional] 
 **pulp2_repo_id__in** | [**Array&lt;String&gt;**](String.md)| Filter results where pulp2_repo_id is in a comma-separated list of values | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**Paginatedpulp2to3MigrationPulp2RepositoryResponseList**](Paginatedpulp2to3MigrationPulp2RepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> Pulp2to3MigrationPulp2RepositoryResponse read(pulp_2to3_migration_pulp2_repository_href, opts)

Inspect a pulp2 repository

ViewSet for Pulp2Repositories model.

### Example

```ruby
# load the gem
require 'pulp_2to3_migration_client'
# setup authorization
Pulp2to3MigrationClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = Pulp2to3MigrationClient::Pulp2RepositoriesApi.new
pulp_2to3_migration_pulp2_repository_href = 'pulp_2to3_migration_pulp2_repository_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a pulp2 repository
  result = api_instance.read(pulp_2to3_migration_pulp2_repository_href, opts)
  p result
rescue Pulp2to3MigrationClient::ApiError => e
  puts "Exception when calling Pulp2RepositoriesApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_2to3_migration_pulp2_repository_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**Pulp2to3MigrationPulp2RepositoryResponse**](Pulp2to3MigrationPulp2RepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

